## org.eclipse.datatools.sqltools.routineeditor.ui.launching
Class SPLaunchConfigurationDelegate

    java.lang.Object
      org.eclipse.datatools.sqltools.routineeditor.ui.launching.SPLaunchConfigurationDelegate

All Implemented Interfaces:
  org.eclipse.debug.core.model.ILaunchConfigurationDelegate

    public class SPLaunchConfigurationDelegate

extends java.lang.Object
implements org.eclipse.debug.core.model.ILaunchConfigurationDelegate

This is for launch stored procedure or trigger or udf etc. This delegate can launch using two different way: 1. the normal one. the launcher will create a thread to run the SQL command. 2. attach an external connection. The launcher will attach to the external connection by connectionid (ASA) or spid (ASE). There is a special attribute for the LaunchConfiguration: ROUTINE_LAUNCH_EXTERNALID. When this attribute is set, means that is debugging external client.

Author:
  Yang Liu

Constructor Summary
`SPLaunchConfigurationDelegate()`

Method Summary
`void` `launch_run(org.eclipse.debug.core.ILaunchConfiguration configuration, java.lang.String mode, org.eclipse.debug.core.ILaunch launch, org.eclipse.core.runtime.IProgressMonitor monitor)`
`void` `launch(org.eclipse.debug.core.ILaunchConfiguration configuration, java.lang.String mode, org.eclipse.debug.core.ILaunch launch, org.eclipse.core.runtime.IProgressMonitor monitor)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SPLaunchConfigurationDelegate

    public SPLaunchConfigurationDelegate()

Method Detail

### launch_run

    public void launch_run(org.eclipse.debug.core.ILaunchConfiguration configuration,
                           java.lang.String mode,
                           org.eclipse.debug.core.ILaunch launch,
                           org.eclipse.core.runtime.IProgressMonitor monitor)
                    throws org.eclipse.core.runtime.CoreException

  Throws:
    `org.eclipse.core.runtime.CoreException`

### launch

    public void launch(org.eclipse.debug.core.ILaunchConfiguration configuration,
                       java.lang.String mode,
                       org.eclipse.debug.core.ILaunch launch,
                       org.eclipse.core.runtime.IProgressMonitor monitor)
                throws org.eclipse.core.runtime.CoreException

  Specified by:
    `launch` in interface `org.eclipse.debug.core.model.ILaunchConfigurationDelegate`
  Throws:
    `org.eclipse.core.runtime.CoreException`